#!/bin/sh
source mqtt.env
currentTime=$(date "+%Y-%m-%d %H:%M:%S")
env > /tmp/env.txt
if mosquitto_pub -h $HAPROXY_SERVER_ADDR -p $HAPROXY_SERVER_PORT -u $TB_ACCESS_TOKEN -t v1/devices/me/telemetry -m "{\"check-mqtt-status\": \"ok\",\"$HAPROXY_SERVER_ADDR:$HAPROXY_SERVER_PORT\": \"$currentTime\"}" -q 1 -d; then
  exit 0
else
  exit 1
fi
